[API Reference](../README.md) > [ReputationFactoryType](../classes/ReputationFactoryType.md)



# Class: ReputationFactoryType

## Hierarchy


 [ContractWrapperFactory](ContractWrapperFactory.md)[ReputationWrapper](ReputationWrapper.md)

**↳ ReputationFactoryType**







## Implements

* [IContractWrapperFactory](../interfaces/IContractWrapperFactory.md)[ReputationWrapper](ReputationWrapper.md)

## Index

### Constructors

* [constructor](ReputationFactoryType.md#constructor)


### Methods

* [at](ReputationFactoryType.md#at)
* [deployed](ReputationFactoryType.md#deployed)
* [new](ReputationFactoryType.md#new)
* [setConfigService](ReputationFactoryType.md#setConfigService)



---
## Constructors
<a id="constructor"></a>


### ⊕ **new ReputationFactoryType**(solidityContractName: *`string`*, wrapper: *`object`*, web3EventService: *[Web3EventService](Web3EventService.md)*): [ReputationFactoryType](ReputationFactoryType.md)


*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[constructor](ContractWrapperFactory.md#constructor)*

*Defined in [contractWrapperFactory.ts:26](https://github.com/daostack/arc.js/blob/9063ecdf/lib/contractWrapperFactory.ts#L26)*



Connstructor to create a contract wrapper factory for the given Arc contract name and wrapper class.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| solidityContractName | `string`   |  - |
| wrapper | `object`   |  Class of the contract |
| web3EventService | [Web3EventService](Web3EventService.md)   |  - |





**Returns:** [ReputationFactoryType](ReputationFactoryType.md)

---


## Methods
<a id="at"></a>

###  at

► **at**(address: *`string`*): `Promise`.<[ReputationWrapper](ReputationWrapper.md)>



*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[at](ContractWrapperFactory.md#at)*

*Defined in [contractWrapperFactory.ts:61](https://github.com/daostack/arc.js/blob/9063ecdf/lib/contractWrapperFactory.ts#L61)*



Return a wrapper around the contract, hydrated from the given address. Returns undefined if not found.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| address | `string`   |  - |





**Returns:** `Promise`.<[ReputationWrapper](ReputationWrapper.md)>





___

<a id="deployed"></a>

###  deployed

► **deployed**(): `Promise`.<[ReputationWrapper](ReputationWrapper.md)>



*Overrides [ContractWrapperFactory](ContractWrapperFactory.md).[deployed](ContractWrapperFactory.md#deployed)*

*Defined in [wrappers/reputation.ts:99](https://github.com/daostack/arc.js/blob/9063ecdf/lib/wrappers/reputation.ts#L99)*





**Returns:** `Promise`.<[ReputationWrapper](ReputationWrapper.md)>





___

<a id="new"></a>

###  new

► **new**(...rest: *`Array`.<`any`>*): `Promise`.<[ReputationWrapper](ReputationWrapper.md)>



*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[new](ContractWrapperFactory.md#new)*

*Defined in [contractWrapperFactory.ts:44](https://github.com/daostack/arc.js/blob/9063ecdf/lib/contractWrapperFactory.ts#L44)*



Deploy a new instance of the contract and return a wrapper around it.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| rest | `Array`.<`any`>   |  Optional arguments to the Arc contracts constructor. |





**Returns:** `Promise`.<[ReputationWrapper](ReputationWrapper.md)>





___

<a id="setConfigService"></a>

### «Static» setConfigService

► **setConfigService**(configService: *[IConfigService](../interfaces/IConfigService.md)*): `void`



*Inherited from [ContractWrapperFactory](ContractWrapperFactory.md).[setConfigService](ContractWrapperFactory.md#setConfigService)*

*Defined in [contractWrapperFactory.ts:14](https://github.com/daostack/arc.js/blob/9063ecdf/lib/contractWrapperFactory.ts#L14)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| configService | [IConfigService](../interfaces/IConfigService.md)   |  - |





**Returns:** `void`





___


